@import url('https://fonts.googleapis.com/css2?family=Roboto:wght@300&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    font-family: 'Roboto', sans-serif;
    position: relative;
}

.flex {
    display: flex;
    align-items: center;
    justify-content: center;
}

.container {
    align-items: center;
}

.card {
    background-color: #fff;
    color: #333;
    border-radius: 10px;
    box-shadow: 0 3px 10px rgba(0, 0, 0, 0.2);
    padding: 20px;
    margin: 10px;
    width: 100%;
}

.data {
    color: #333;
}

#nav-container,
#footer-container {
    background-color: #1597bb;
}

#footer-container {
    height: 80px;
}

#navbar {
    height: 70px;
    justify-content: space-around;
    max-width: 2000px;
    margin: 0 auto;
}

#boxes {
    max-width: 2000px;
    margin: 20px auto;
    flex-direction: column;
}

#footer {
    max-width: 2000px;
    margin: 20px auto;
    flex-direction: column;
}

#links {
    margin: 5px 0;
    width: 100%;
    justify-content: space-around;
}

#history {
    padding-top: 20px;
    flex-direction: column;
    max-width: 1600px;
    overflow-y: scroll;
    height: 600px;
}

#history::-webkit-scrollbar {
    width: 1em;
    display: none;
}

#history::-webkit-scrollbar {
    box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
}

#history::-webkit-scrollbar {
    background-color: darkgrey;
    outline: 1px solid slategrey;
}

h1 {
    padding: 0 10px;
    color: white;
}

ul {
    list-style-type: none;
    font-weight: 600;
}

li {
    padding: 0 10px;
}

a {
    text-decoration: none;
    color: #333;
    color: #8fd6e1;
}

a:hover {
    border-bottom: 2px solid white;
}

#github,
#go {
    font-size: 35px;
    color: white;
}

p {
    margin: 5px 0;
    color: #8fd6e1;
}

button {
    margin: 10px 0;
    border-radius: 50%;
    height: 50px;
    width: 50px;
    border: none;
    padding: 5px;
    cursor: pointer;
    background-color: #8fd6e1;;
}

button:focus {
    outline: none;
}

button:hover {
    transform: scale(0.98);
}

textarea {
    padding: 10px;
    font-size: 16px;
    resize: none;
    height: 250px;
    width: 800px;
    margin: 10px 0 0 0;
    border: 1px solid #ddd;
    border-left: 3px solid #1597bb;
}

textarea:focus {
    outline: none;
}

#clear {
    position: fixed;
    right: 0px;
    bottom: 50%;
    color: #1597bb;
    font-weight: bold;
}

#remove {
    color: #1597bb;
}

@media(max-width: 1100px) {
    #navbar,
    #boxes,
    #footer,
    #history {
        max-width: 1100px;
    }

    textarea {
        font-size: 14px;
        height: 375px;
        width: 600px;
    }

    button {
        margin: 7px 0;
        height: 50px;
        width: 50px;
    }
}

@media(max-width: 768px) {
    #navbar,
    #boxes,
    #footer,
    #history {
        max-width: 768px;
    }

    textarea {
        font-size: 12px;
        height: 375px;
        width: 600px;
    }

    button {
        margin: 7px 0;
        height: 45px;
        width: 45px;
    }
}

@media(max-width: 414px) {
    #navbar,
    #boxes,
    #footer,
    #history {
        max-width: 414px;
    }

    textarea {
        font-size: 10px;
        height: 250px;
        width: 300px;
        margin-top: 5px;
    }

    button {
        margin: 7px 0;
        height: 40px;
        width: 40px;
    }

    #clear,
    #go,
    #remove {
        font-size: 10px;
    }
}